from abc import ABC, abstractmethod


class Observer(ABC):

    @abstractmethod
    def update(self, event):
        pass


class ConsoleView(Observer):

    def update(self, event):
        print(f"[Observer] {event}")